Page MenuHomePhabricator

ecore: correct object constness and documentation of future_resolved and future_rejected functions.
ClosedPublic

Authored by cedric on Dec 19 2018, 2:05 PM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Dec 19 2018, 2:05 PM
cedric requested review of this revision.Dec 19 2018, 2:05 PM
segfaultxavi added inline comments.
src/lib/ecore/efl_loop_consumer.eo
25–32

Apparently I missed this when I accepted this patch. future_resolved and future_rejected should be documented. Their parameters and return values too.

Do you mind adding these comments now?

segfaultxavi requested changes to this revision.Dec 24 2018, 3:21 AM

Still missing EO docs for future_resolved and future_rejected (including parameters and return values).

This revision now requires changes to proceed.Dec 24 2018, 3:21 AM

Oh forgot that. Will fix.

cedric updated this revision to Diff 18148.Dec 28 2018, 11:13 AM
cedric retitled this revision from ecore: correct object constness of future_resolved and future_rejected functions. to ecore: correct object constness and documentation of future_resolved and future_rejected functions..

Rebase and document.

segfaultxavi accepted this revision.Dec 30 2018, 8:47 AM

Some doc references could still be improved, but.... what can't?

This revision is now accepted and ready to land.Dec 30 2018, 8:47 AM
This revision was automatically updated to reflect the committed changes.